------------------------------------------------------------------------------------
--Name:  	juqing3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-03-22
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(36, 37)
local monster_0 = CppScriptMgr:AddPlayer(436, 37, 26, "", 0, 0)
local monster_1 = CppScriptMgr:AddPlayer(951, 31, 28, "", 0, 0)
local monster_2 = CppScriptMgr:AddPlayer(436, 10, 33, "", 0, 0)
local monster_3 = CppScriptMgr:AddPlayer(951, 44, 30, "", 0, 0)
local monster_4 = CppScriptMgr:AddPlayer(951, 40, 33, "", 0, 0)
local monster_5 = CppScriptMgr:AddPlayer(436, 35, 39, "", 0, 0)
local monster_6 = CppScriptMgr:AddPlayer(436, 26, 37, "", 0, 0)
local monster_7 = CppScriptMgr:AddPlayer(436, 39, 45, "", 0, 0)
local monster_8 = CppScriptMgr:AddPlayer(436, 49, 39, "", 0, 0)
local monster_9 = CppScriptMgr:AddPlayer(436, 47, 44, "", 0, 0)
CppScriptMgr:WaitMilSec(90)
CppScriptMgr:NpcCallOut("This cave served as the first refuge in Lost City. Maybe we can find the trace of Rose here.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202307", 150, 430, "RedQueen", 250, 655, false)
MoveView(36, 37, 37, 26, 1, 33, 1000)
monster_1:SetAction(401)
monster_8:SetAction(401)
CppScriptMgr:WaitMilSec(160)
monster_0:SetAction(401)
CppScriptMgr:WaitMilSec(220)
monster_5:SetAction(401)
CppScriptMgr:WaitMilSec(350)
monster_7:SetAction(401)
monster_9:SetAction(401)
CppScriptMgr:WaitMilSec(140)
monster_3:SetAction(401)
monster_1:SetAction(401)
CppScriptMgr:WaitMilSec(360)
monster_3:SetAction(401)
CppScriptMgr:WaitMilSec(80)
monster_0:SetAction(401)
monster_6:SetAction(401)
CppScriptMgr:WaitMilSec(320)
monster_2:SetAction(401)
monster_8:SetAction(401)
CppScriptMgr:WaitMilSec(140)
monster_4:SetAction(401)
CppScriptMgr:WaitMilSec(260)
monster_4:SetAction(401)
CppScriptMgr:WaitMilSec(260)
monster_9:SetAction(401)
CppScriptMgr:WaitMilSec(160)
monster_5:SetAction(401)
CppScriptMgr:WaitMilSec(280)
monster_2:SetAction(401)
CppScriptMgr:WaitMilSec(110)
monster_6:SetAction(401)
monster_7:SetAction(401)
CppScriptMgr:WaitMilSec(480)